Subject: Re: bug#38181: Actual height of mode-line not taken into account

From: martin rudalics <[email-masked]>
Date: Sat, 16 Oct 2021 21:41:51 +0200

> I still need to refine my concept of "on window creation". When you say
 > "with evert set_window_buffer" I'm not sure whether you mean something
 > like:
 >
 > 1. There is an event (a) of window creation and later and event (b)
 > when the buffer is set for the new window. So if I call redisplay
 > immediately after (a) it would be too early because the modeline won't
 > be properly set up until (b).

Window creation means 'split-window' which assigns the new window a
buffer that appears in the window that was split.

 > Or, instead, something like:
 >
 > 2. Windows often change buffers and buffers may have modeline formats
 > that imply different modeline heights.
 >
 > If 1 is the case then sure, maybe it's a different event that I need
 > to listen to, but it's still one forced early redisplay per window.
 > But if you mean 2, again I don't see the relevance in practice.

How comes?  'display-buffer-in-side-window' may reuse an existing window
or pop up a new one.  Or do the mode lines of _all_ your windows have
the same height?  That indeed would simplify things a lot.

martin